## coinor-cbc 2.10.12%2Bds

=== debian/changelog ===
coinor-cbc (2.10.12+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 17 Sep 2024 07:10:17 +0200

coinor-cbc (2.10.11+ds1-3) unstable; urgency=medium

  * Patching out tests that require unpackaged mps files (Closes: #1068742)
  * Raising Standards version to 4.7.0 (no change)
  * Build-depending on pkgconf instead of obsolete pkg-config
  * Adding a Lintian override for spelling checks
  * Adding autopkgtests
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Pierre Gruet <pgt@debian.org>  Sat, 11 May 2024 14:48:56 +0200
