## coinor-cbc 2.10.12+ds

=== debian/control ===
Source: coinor-cbc
Maintainer: Debian Science Maintainers <debian-science-maintainers@alioth-lists.debian.net>
Uploaders: Julien Puydt <jpuydt@debian.org>,
           Pierre Gruet <pgt@debian.org>
Section: science
Priority: optional
Build-Depends: coinor-libcgl-dev (>= 0.60.8+ds),
               coinor-libclp-dev (>= 1.17.9+ds),
               coinor-libcoinutils-dev,
               coinor-libosi-dev,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               libblas-dev,
               libbz2-dev,
               pkgconf,
               zlib1g-dev,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/science-team/coinor-cbc
Vcs-Git: https://salsa.debian.org/science-team/coinor-cbc.git
Homepage: https://github.com/coin-or/cbc

Package: coinor-cbc
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: coinor-libcbc0
Replaces: coinor-libcbc0
Description: Coin-or branch-and-cut mixed integer programming solver
 Cbc (Coin-or branch and cut) is an open-source mixed integer programming
 solver written in C++. It can be used as a callable library or as a
 stand-alone executable.
 .
 This package contains cbc executable.

Package: coinor-libcbc3.1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: coinor-libcbc3 (<< 2.10.10+really2.10.10+ds1-3)
Replaces: coinor-libcbc3 (<< 2.10.10+really2.10.10+ds1-3)
Description: Coin-or branch-and-cut mixed integer programming solver (shared libraries)
 Cbc (Coin-or branch and cut) is an open-source mixed integer programming
 solver written in C++. It can be used as a callable library or as a
 stand-alone executable.
 .
 This package contains the shared libraries.

Package: coinor-libcbc-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: coinor-libcbc3.1 (= ${binary:Version}),
         coinor-libcgl-dev (>= 0.60.8+ds),
         coinor-libclp-dev (>= 1.17.9+ds),
         coinor-libcoinutils-dev,
         coinor-libosi-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Coin-or branch-and-cut mixed integer programming solver (developer files)
 Cbc (Coin-or branch and cut) is an open-source mixed integer programming
 solver written in C++. It can be used as a callable library or as a
 stand-alone executable.
 .
 This package contains the header files for developers.

Package: coinor-libcbc-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: libjs-jquery,
         ${misc:Depends}
Recommends: coinor-libcbc-dev
Description: Coin-or branch-and-cut mixed integer programming solver (documentation)
 Cbc (Coin-or branch and cut) is an open-source mixed integer programming
 solver written in C++. It can be used as a callable library or as a
 stand-alone executable.
 .
 This package contains the documentation and examples.
