=== debian/tests/control ===
Tests: check1 check2
Depends: coinor-libcbc-dev, build-essential
