=== debian/watch ===
version=4
opts=repacksuffix=+ds,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,\
dversionmangle=s/\+(repack|debian|dfsg|ds|deb|-dfsg)\d*$// \
 https://github.com/coin-or/Cbc/tags .*/v?(\d\S+)\.tar\.gz
